httpd-bugs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 34927] - apr-1.1.1
Date Thu, 05 Apr 2007 13:02:34 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG·
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://issues.apache.org/bugzilla/show_bug.cgi?id=34927>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND·
INSERTED IN THE BUG DATABASE.

http://issues.apache.org/bugzilla/show_bug.cgi?id=34927


ben@redsnapper.net changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|CLOSED                      |REOPENED
         Resolution|WORKSFORME                  |




------- Additional Comments From ben@redsnapper.net  2007-04-05 06:02 -------
I've come across this same issue on a brand new install from source.
the apr/buildconf script balks at "alias -g" which is a part of the configure
script. (GNU bash, version 2.05b.0): 

~/optcode/httpd/httpd-2.2.4/srclib/apr$ ./buildconf 
buildconf: checking installation...
buildconf: python version 2.3.5 (ok)
buildconf: autoconf version 2.61 (ok)
buildconf: libtool version 2.1a (ok)
Copying libtool helper files ...
./buildconf: line 5: alias: -g: invalid option
alias: usage: alias [-p] [name[=value] ... ]
./buildconf: eval: line 228: syntax error near unexpected token `&&'
./buildconf: eval: line 228: `        && { func_serial_max_result="$2"; break; }'
buildconf: Using libtool.m4 at /opt/share/aclocal/libtool.m4.
Creating include/arch/unix/apr_private.h.in ...
configure.in:181: warning: LTOPTIONS_VERSION is m4_require'd but not m4_defun'd
build/libtool.m4:83: LT_INIT is expanded from...
build/libtool.m4:86: AC_PROG_LIBTOOL is expanded from...
configure.in:181: the top level
configure.in:181: warning: LTSUGAR_VERSION is m4_require'd but not m4_defun'd
configure.in:181: warning: LTVERSION_VERSION is m4_require'd but not m4_defun'd
configure.in:181: warning: _LT_SET_OPTIONS is m4_require'd but not m4_defun'd
Creating configure ...
configure.in:181: warning: LTOPTIONS_VERSION is m4_require'd but not m4_defun'd
build/libtool.m4:83: LT_INIT is expanded from...
build/libtool.m4:86: AC_PROG_LIBTOOL is expanded from...
configure.in:181: the top level
configure.in:181: warning: LTSUGAR_VERSION is m4_require'd but not m4_defun'd
configure.in:181: warning: LTVERSION_VERSION is m4_require'd but not m4_defun'd
configure.in:181: warning: _LT_SET_OPTIONS is m4_require'd but not m4_defun'd
configure.in:200: error: possibly undefined macro: LT_VERSION
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure:9311: error: possibly undefined macro: _LT_SET_OPTIONS
configure:9400: error: possibly undefined macro: m4_ifval
Generating 'make' outputs ...
rebuilding rpm spec file

-------
Then the subsequent configure is fine up to:

performing libtool configuration...
./configure: line 9395: syntax error near unexpected token `lt_decl_varnames,'
./configure: line 9395: `lt_if_append_uniq(lt_decl_varnames, SED, [, ],'

libtool --version
ltmain.sh (GNU libtool 1.2443 2007/04/03 19:09:39) 2.1a




-- 
Configure bugmail: http://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.

---------------------------------------------------------------------
To unsubscribe, e-mail: bugs-unsubscribe@httpd.apache.org
For additional commands, e-mail: bugs-help@httpd.apache.org


Mime
View raw message